package Ensembl.artemis;
final public class FeatureDefinitionListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public Ensembl.artemis.FeatureDefinition[] value;

	public FeatureDefinitionListHolder ()
	{
	}
	public FeatureDefinitionListHolder (Ensembl.artemis.FeatureDefinition[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return FeatureDefinitionListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = FeatureDefinitionListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		FeatureDefinitionListHelper.write(out,value);
	}
}
